[arch-commits] Commit in python-zope-security/repos/community-x86_64 (2 files)
Felix Yan
felixonmars at archlinux.org
Fri Dec 1 16:21:53 UTC 2017
Date: Friday, December 1, 2017 @ 16:21:52
Author: felixonmars
Revision: 271191
archrelease: copy trunk to community-x86_64
Added:
python-zope-security/repos/community-x86_64/PKGBUILD
(from rev 271190, python-zope-security/trunk/PKGBUILD)
Deleted:
python-zope-security/repos/community-x86_64/PKGBUILD
----------+
PKGBUILD | 120 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 60 insertions(+), 60 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2017-12-01 16:21:22 UTC (rev 271190)
+++ PKGBUILD 2017-12-01 16:21:52 UTC (rev 271191)
@@ -1,60 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-zope-security
-pkgname=('python-zope-security' 'python2-zope-security')
-pkgver=4.2.0
-pkgrel=1
-pkgdesc="Zope Security Framework"
-arch=('i686' 'x86_64')
-url="https://github.com/zopefoundation/zope.security"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
- 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
- 'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
- 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
- 'python-zope-schema' 'python2-zope-schema')
-checkdepends=('python-btrees' 'python2-btrees' 'python-nose' 'python2-nose'
- 'python-zope-configuration' 'python2-zope-configuration' 'python-zope-testing'
- 'python2-zope-testing' 'python-zope-testrunner' 'python2-zope-testrunner')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.security/archive/$pkgver.tar.gz")
-sha512sums=('1f959318cdf26546cd8a2690a4eded7e02897c0d7eca7aa2f0f8d44a3891cc3e68f34ef526f80692d7bd76d2a60927dc62dda5dda87b6ada83706b47ec77a281')
-
-prepare() {
- cp -a zope.security-$pkgver{,-py2}
-}
-
-build() {
- cd "$srcdir"/zope.security-$pkgver
- python setup.py build
-
- cd "$srcdir"/zope.security-$pkgver-py2
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir"/zope.security-$pkgver
- PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
-
- cd "$srcdir"/zope.security-$pkgver-py2
- PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
-}
-
-package_python-zope-security() {
- depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
- 'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
-
- cd zope.security-$pkgver
- python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-zope-security() {
- depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
- 'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy'
- 'python2-zope-schema')
-
- cd zope.security-$pkgver-py2
- python2 setup.py install --root="$pkgdir" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:
Copied: python-zope-security/repos/community-x86_64/PKGBUILD (from rev 271190, python-zope-security/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2017-12-01 16:21:52 UTC (rev 271191)
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-security
+pkgname=('python-zope-security' 'python2-zope-security')
+pkgver=4.2.1
+pkgrel=1
+pkgdesc="Zope Security Framework"
+arch=('x86_64')
+url="https://github.com/zopefoundation/zope.security"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+ 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
+ 'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
+ 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
+ 'python-zope-schema' 'python2-zope-schema')
+checkdepends=('python-btrees' 'python2-btrees' 'python-nose' 'python2-nose'
+ 'python-zope-configuration' 'python2-zope-configuration' 'python-zope-testing'
+ 'python2-zope-testing' 'python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.security/archive/$pkgver.tar.gz")
+sha512sums=('e75e9c5d6a995b6861bad587e821b65e1067d9e4091d978455c5058c36848a40bd28719371a80e6c92b36f26bddf1e753fbb09fa6410d038b1b9474ac1f78ac4')
+
+prepare() {
+ cp -a zope.security-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/zope.security-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/zope.security-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/zope.security-$pkgver
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
+
+ cd "$srcdir"/zope.security-$pkgver-py2
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
+}
+
+package_python-zope-security() {
+ depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
+ 'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
+
+ cd zope.security-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-security() {
+ depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
+ 'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy'
+ 'python2-zope-schema')
+
+ cd zope.security-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list